package ui.model;

import java.util.ArrayList;


public class DecoratedState {
	int timestepOfState;
	ArrayList<DecoratedNetwork> networkList;
	ArrayList<DecoratedCable> leftOverEdges;
	ArrayList<DecoratedSwitch> decoratedSwitches;
	public DecoratedState(ArrayList<DecoratedNetwork> networkList, ArrayList<DecoratedCable> leftOverEdges, ArrayList<DecoratedSwitch> decoratedSwitches , int timestepOfState){
		this.networkList = networkList;
		this.leftOverEdges = leftOverEdges;
		this.decoratedSwitches = decoratedSwitches;
		this.timestepOfState = timestepOfState;
	}
	public ArrayList<DecoratedNetwork> getNetworkList() {
		return networkList;
	}
	public ArrayList<DecoratedCable> getLeftOverEdges() {
		return leftOverEdges;
	}
	public ArrayList<DecoratedSwitch> getDecoratedSwitches() {
		return decoratedSwitches;
	}
	public int getTimestepOfState() {
		return timestepOfState;
	}
}
